classification
Title: Define order of Misc/ACKS entries
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: docs@python Nosy List: belopolsky, brett.cannon, docs@python, giampaolo.rodola, lukasz.langa, pitrou, terry.reedy
Priority: normal Keywords: patch

Created on 2010-05-27 20:46 by belopolsky, last changed 2010-08-10 22:22 by belopolsky. This issue is now closed.

Files
File name Uploaded Description Edit
issue8834.diff belopolsky, 2010-05-27 20:48
Messages (9)
msg106615 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-05-27 20:46
This is a semi-serious feature request following a brief discussion on #python-dev IRC.

Brett Cannon pointed out on python-checkins list [1] that the names should be alphabetized.  However, given that the names are international, it is not obvious what it means.

I propose to add a comment at the top of Misc/ACKS that the list is maintained in "rough alphabetical order" but not define it any further.

[1] http://mail.python.org/pipermail/python-checkins/2010-May/093650.html
msg106628 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-05-27 23:36
Looks good to me.
msg106681 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2010-05-28 17:43
LGTM as well.
msg111658 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2010-07-26 18:06
LGTM :)
msg113199 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-07 20:35
Only a few days left for 2.6 ;-)
msg113425 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-08-09 16:37
Committed in release27-maint branch in r83893.  I am not sure this belongs in 2.6 and there is a small practical problem with the merge due to Latin-1 encoding used in the 2.6 version.

I am also not sure whether keeping separate 2.x and 3.x versions serves any useful purpose.

I would like to merge 2.7 and 3.2 lists.   I am about +0.5 on syncing all three versions after that.  If the 2.6 has to stay in Latin-1, I would rather not touch it.
msg113436 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-09 18:16
At this point, I am sure that Barry would prefer leaving things alone for 2.6.

I am surprised that there are separate lists. I thought there was just one which distributions grabbed when made.

I suppose that one could claim that someone who only contributes to a branch after it branches off should not be listed for other branches, but in the absence of an automatic addition mechanism and dependence on hand-addition by committers, that does not work so well.

Certainly, Guido's header does not specify 'this release'.
msg113437 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-08-09 18:24
On Mon, Aug 9, 2010 at 2:16 PM, Terry J. Reedy <report@bugs.python.org> wrote:
..
> I am surprised that there are separate lists. I thought there was just one which distributions grabbed when made.

I don't think this is intentional.  More likely committers add
acknowledgments in the same commit as the code changes and they end up
in whatever branch the patch is applied to.   I think this is fine,
but from time to time the list should be merged to avoid svnmerge
annoyances.  Whoever is annoyed by svnmerge (like myself :-) should
resync the lists.
msg113566 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-08-10 22:21
Committed in r83937 (py3k) and r83938 (release31-maint).  The py3k version is now a superset of the lists in the maintenance branches. I don't want to generate any more commit traffic by bringing all branches in sync.  I'll leave it to the next committer who encounters a Misc/ACKS merge conflict which is now unlikely.

I am closing with a link to python-dev discussion that r83893 generated.

http://mail.python.org/pipermail/python-dev/2010-August/102960.html
History
Date User Action Args
2010-08-10 22:22:00belopolskysetstatus: open -> closed
resolution: accepted
messages: + msg113566

stage: patch review -> resolved
2010-08-09 18:24:55belopolskysetmessages: + msg113437
2010-08-09 18:16:43terry.reedysetmessages: + msg113436
versions: - Python 2.6, Python 2.7
2010-08-09 16:37:56belopolskysetmessages: + msg113425
2010-08-07 20:35:24terry.reedysetnosy: + terry.reedy
messages: + msg113199
2010-08-04 09:45:11giampaolo.rodolasetnosy: + giampaolo.rodola
2010-07-26 18:06:44lukasz.langasetnosy: + lukasz.langa
messages: + msg111658
2010-05-28 17:43:08brett.cannonsetnosy: + brett.cannon
messages: + msg106681
2010-05-27 23:36:20pitrousetnosy: + pitrou

messages: + msg106628
versions: + Python 2.6, Python 3.1, Python 2.7, Python 3.2
2010-05-27 20:48:29belopolskysetfiles: + issue8834.diff
keywords: + patch
stage: patch review
2010-05-27 20:46:19belopolskycreate